Payment Settings
Create New Payment Setting
/payment-setting/
POST
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
/payment-setting/
This endpoint is responsible for creating a new payment setting.
Method:POST
Request Payload:
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Yes | The name of the payment setting |
| type | string | Yes | The type of the payment setting |
| settings | object | Yes | The settings/configuration of the payment setting. Some of the sample properties are “accountName”, “accountNumber”, “bankName”, “routingNumber”, “swiftCode”, “IBAN”, indicating details related to the payment method configuration |
| isDefault | boolean | No | Indicates whether the payment setting is the default one |
| memo | string | No | Any additional notes or comments about the payment setting |
| user | string | No | TenantUserId of the user, used when setting up payment settings for other users (admin/owner only) |
Request Body Examples
Bank Wire Transfer:Code Examples
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
The name of the payment setting
The type of the payment setting
Available options:
BankWireTransfer, PayPal, Card, Crypto The settings/configuration of the payment setting
Indicates whether the payment setting is the default one
UserId of the user who created the payment setting, used when setting up payments settings for other used
Any additional notes or comments about the payment setting